--$Revision: 84 $
--$Date: 2009-10-27 23:45:06 +0000 (Tue, 27 Oct 2009) $
--project version: r85
local L = LibStub("AceLocale-3.0"):GetLocale("MobileVault")

local function HexToRGBPerc(hex)
	local rhex, ghex, bhex = string.sub(hex, 1, 2), string.sub(hex, 3, 4), string.sub(hex, 5, 6)
	return tonumber(rhex, 16)/255, tonumber(ghex, 16)/255, tonumber(bhex, 16)/255
end

local function RGBPercToHex(r, g, b)
	r = r <= 1 and r >= 0 and r or 0
	g = g <= 1 and g >= 0 and g or 0
	b = b <= 1 and b >= 0 and b or 0
	return string.format("%02x%02x%02x", r*255, g*255, b*255)
end

function MobileVault:SetupConfig()
	local opts = {
		type = 'group',
		args = {
		
		},
	}
	--add profile controls
	opts.args.profile = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)
	
	LibStub("AceConfig-3.0"):RegisterOptionsTable("MobileVault", opts)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("MobileVault", "MobileVault")
end
